Bug 1489267 - [Docs][RFE][Admin] Update procedures to explain how to mix local and shared storage for a virtual machine
Summary: [Docs][RFE][Admin] Update procedures to explain how to mix local and shared s...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.1.1
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ovirt-4.1.9
: ---
Assignee: Avital Pinnick
QA Contact: rhev-docs@redhat.com
URL:
Whiteboard:
Depends On: 1418145
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-07 05:44 UTC by Megan Lewis
Modified: 2019-05-07 12:56 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-19 13:55:51 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)

Description Megan Lewis 2017-09-07 05:44:52 UTC
The 'localdisk' hook adds the ability to use fast local storage instead of shared storage, while using shared storage for managing virtual machine templates.  Currently, a user has to choose between fast local storage where nothing is shared with other hosts, or shared storage where everything is shared between the hosts and fast local storage cannot be used.  This update mixes local and shared storage.

The 'localdisk' hook works as follows:

1) A user will create a virtual machine normally on shared storage of any type.  To use the virtual machine with local storage, the user will need to pin the virtual machine to a certain host, and enable the localdisk hook.

2) When starting the virtual machine on the pinned host, the localdisk hook will copy the virtual machine disks from shared storage into the host's local storage, and modify the disk path to use the local copy of the disk.

3) The original disk may be a single volume or a chain of volumes based on a template. The local copy is a raw preallocated volume using a LVM logical volume on the special "ovirt-local" volume group.

To change storage on a virtual machine using local storage, the localdisk hook must be disabled.

Warning: 
- Virtual machines using local disk must be pinned to a specific host and cannot be migrated between hosts.

- No storage operations on a virtual machines using local disks are allowed. For example, creating/deleting snapshots, moving disks, creating templates from the virtual machine.

- The virtual machine disks on the shared storage should not be deleted, and the storage domain needs to be active and accessible.


Note You need to log in before you can comment on or make changes to this bug.